%global momorel 1
Name:           perl-Gtk2-GladeXML
Version:        1.007
Release:	%{momorel}m%{?dist}
Summary:        Create user interfaces directly from Glade XML files

Group:          Development/Libraries
License:        GPL
URL:            http://search.cpan.org/dist/Gtk2-GladeXML/
Source0: http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/Gtk2-GladeXML-%{version}.tar.gz 
NoSource: 0
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libglade2-devel >= 2.0.0
BuildRequires:  perl-ExtUtils-Depends >= 0.1
BuildRequires:  perl-ExtUtils-PkgConfig >= 1.0
BuildRequires:  perl-Glib >= 1.02
BuildRequires:  perl-Gtk2 >= 1.00
Requires:       perl-ExtUtils-Depends >= 0.1
Requires:       perl-ExtUtils-PkgConfig >= 1.0
Requires:       perl-Glib >= 1.02
Requires:       perl-Gtk2 >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
Glade is a free user interface builder for GTK+ and GNOME. 
After designing a user interface with glade-2 the layout 
and configuration are saved in an XML file. libglade is a 
library which knows how to build and hook up the user interface 
described in the Glade XML file at application run time.

This extension module binds libglade to Perl so you can 
create and manipulate user interfaces in Perl code in 
conjunction with Gtk2 and even Gnome2. Better yet you can 
load a file's contents into a PERL scalar do a few magical 
regular expressions to customize things and the load up the app. 
It doesn't get any easier.


%prep
%setup -q -n Gtk2-GladeXML-%{version}

chmod -x examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE NEWS README
%doc examples/
%{perl_vendorarch}/auto/Gtk2/*
%{perl_vendorarch}/Gtk2/*
%{_mandir}/man3/*.3*


%changelog
* Tue Sep  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.007-1m)
- update to 1.007

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.006-6m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.006-5m)
- %%NoSource -> NoSource

* Tue Apr 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.006-4m)
- fix files dup

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.006-3m)
- use vendor

* Sat Mar 24 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.006-2m)
- modify requires and buildrequires

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.006-1m)
- import to Momonga from Fedora Development


* Wed Sep 20 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.006-1
- update to 1.006

* Tue Sep 19 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.005-5
- taking co-maintainership post-mass rebuild
- fix certain rpmlint warnings

* Wed Sep 14 2005 Gavin Henry <ghenry[AT]suretecsystems.com> - 1.005-4
- Added OPTIMIZE="$RPM_OPT_FLAGS" and 
  removed "find examples -type f -exec chmod -x {} ';'"

* Thu Aug 18 2005 Gavin Henry <ghenry[AT]suretecsystems.com> - 1.005-3
- Third build.

* Thu Aug 18 2005 Gavin Henry <ghenry[AT]suretecsystems.com> - 1.005-2
- Second build.

* Sun Jul 3 2005 Gavin Henry <ghenry[AT]suretecsystems.com> - 1.002-1
- First build.
